rastating rastating

wordpress-exploit-framework

7 1 0

A Ruby framework for developing and using modules which aid in the penetration testing of WordPress powered websites and systems.

Dependencies

Package Locked Requirement Latest Status Changelog
Gems colorize >= 0.8.1 0.8.1

colorize

Extends String class or add a ColorizedString with methods to set text color, background color and text effects.

This dependency is up-to-date. Congrats and keep going!

Gems mime-types >= 3.1 3.1

mime-types

The mime-types library provides a library and registry for information about MIME content type definitions. It can be used to determine defined filename extensions for MIME types, or to use filename extensions to look up the likely MIME type definitions. Version 3.0 is a major release that requires Ruby 2.0 compatibility and removes deprecated functions. The columnar registry format introduced in 2.6 has been made the primary format; the registry data has been extracted from this library and put into {mime-types-data}[https://github.com/mime-types/mime-types-data]. Additionally, mime-types is now licensed exclusively under the MIT licence and there is a code of conduct in effect. There are a number of other smaller changes described in the History file.

This dependency is up-to-date. Congrats and keep going!

Gems nokogiri ~> 1.8.0 1.8.1

nokogiri

Nokogiri (鋸) is an HTML, XML, SAX, and Reader parser. Among Nokogiri's many features is the ability to search documents via XPath or CSS3 selectors.

This dependency is up-to-date. Congrats and keep going!

Gems require_all ~> 1.4 1.4.0

require_all

A wonderfully simple way to load your code

This dependency is up-to-date. Congrats and keep going!

Gems rubyzip ~> 1.2 1.2.1

rubyzip

rubyzip is a ruby module for reading and writing zip files

This dependency is up-to-date. Congrats and keep going!

Gems slop ~> 4.5 4.6.0

slop

A DSL for gathering options and parsing command line flags

This dependency is up-to-date. Congrats and keep going!

Gems typhoeus ~> 1.1.2 1.3.0

typhoeus

Like a modern code version of the mythical beast with 100 serpent heads, Typhoeus runs HTTP requests in parallel while cleanly encapsulating handling logic.

This dependency is not matching latest version. Please consider upgrading.

Package Locked Requirement Latest Status Changelog
Gems rspec ~> 3.5 3.7.0

rspec

BDD for Ruby

This dependency is up-to-date. Congrats and keep going!